FLANG

Public Types | Public Member Functions | List of all members
Fortran::runtime::io::InternalDescriptorUnit< DIR > Class Template Reference
Inheritance diagram for Fortran::runtime::io::InternalDescriptorUnit< DIR >:

## Public Types
using | Scalar = std::conditional_t< DIR==Direction::Input, const char *, char * >

## Public Member Functions
| InternalDescriptorUnit (Scalar, std::size_t)
| InternalDescriptorUnit (const Descriptor &, const Terminator &)
void | EndIoStatement ()
bool | Emit (const char *, std::size_t, IoErrorHandler &)
std::optional< char32_t > | GetCurrentChar (IoErrorHandler &)
bool | AdvanceRecord (IoErrorHandler &)
void | BackspaceRecord (IoErrorHandler &)
Public Member Functions inherited from Fortran::runtime::io::ConnectionState
bool | IsAtEOF () const
std::size_t | RemainingSpaceInRecord () const
void | HandleAbsolutePosition (std::int64_t)
void | HandleRelativePosition (std::int64_t)
void | BeginRecord ()

## Additional Inherited Members
Public Attributes inherited from Fortran::runtime::io::ConnectionState
std::int64_t | currentRecordNumber {1}
std::int64_t | positionInRecord {0}
std::int64_t | furthestPositionInRecord {0}
bool | nonAdvancing {false}
std::optional< std::int64_t > | leftTabLimit
std::optional< std::int64_t > | endfileRecordNumber
MutableModes | modes
Public Attributes inherited from Fortran::runtime::io::ConnectionAttributes
Access | access {Access::Sequential}
bool | isUnformatted {false}
bool | isUTF8 {false}
bool | isFixedRecordLength {false}
std::optional< std::int64_t > | recordLength

The documentation for this class was generated from the following files:

- runtime/internal-unit.h
- runtime/internal-unit.cpp